# Copyright 2022 Xilinx, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from chipscopy.api.ila.ila_capture import (
    ILACaptureCondition,
    ILATriggerCondition,
    ILATrigInMode,
    ILATrigOutMode,
    ILAControl,
    ILA_TRIGGER_POSITION_HALF,
    ILA_WINDOW_SIZE_MAX,
    ILAState,
    ILAStatus,
    ILA_CONTROL_MEMBERS,
    ILA_STATUS_MEMBERS,
)
from chipscopy.api.ila.ila_probe import (
    ILAMatchUnitType,
    ILAPort,
    ILA_PORT_MEMBERS,
    ILAProbe,
    ILA_MATCH_OPERATORS,
    ILA_MATCH_BIT_VALUES,
    ILAProbeValues,
    ILABitRange,
    ILAProbeRadix,
)
from chipscopy.api.ila.ila_waveform import ILAWaveform, ILAWaveformProbe
from chipscopy.api.ila.ila import (
    ILA,
    ILAStaticInfo,
)

from chipscopy.api.ila.ila import (
    # Deprecated. Obsolete in 2023.2 release. Use ILAWaveform member functions.
    export_waveform,
    get_waveform_data,
    get_waveform_probe_data,
)
